import Vue from 'vue';
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import App from './App.vue';
import router from './router';
import axios from 'axios';
import {post,fetch,patch,put} from './utils/http';
import TitleBar from './pages/layout/titleBar';

Vue.use(ElementUI);

Vue.prototype.$post = post;
Vue.prototype.$fetch = fetch;
Vue.prototype.$patch = patch;
Vue.prototype.$put = put;

new Vue({
  el: '#app',
  router,
  render: h => h(App)
});